# Sync2

Most VeChain applications implement [connex](https://docs.vechain.org/connex/) that automatically uses Sync2 as Application when a user action is required:

1. GitHub: [https://github.com/vechain/sync2](https://github.com/vechain/sync2)
2. Website: [https://docs.vechain.org/sync2/get-started.html](https://docs.vechain.org/sync2/get-started.html)

## First contact

If Sync2 is not installed, it will show a small banner at the bottom of the website:

![](<../../.gitbook/assets/image (21).png>)

The Install button will link to the download page of the Sync2 application. Sync2-lite is a web-application with all user related information stored on the users machine only.

### Sync2-lite

Sync2-lite is the official web-application at [https://lite.sync.vecha.in/#/](https://lite.sync.vecha.in/#/)

During the fist visit it will ask to confirm that it might be unstable and a disclaimer, both need to be acknowledged:

![](../../.gitbook/assets/image.png) ![](<../../.gitbook/assets/image (1).png>)

## Setup

_A locally installed Sync2 application is identical to the web application of Sync2-lite (_[_https://lite.sync.vecha.in_](https://lite.sync.vecha.in/#/)_). Setup and usage is identical._

A password protects all interactions. Each transaction or signing action requires a password. Set the wallet password next and the wallet is generated right afterwards.

![](<../../.gitbook/assets/image (5).png>) ![](<../../.gitbook/assets/image (16).png>) ![](<../../.gitbook/assets/image (14).png>) ![](<../../.gitbook/assets/image (6).png>)

## Backup

The private key can be backed up as a word-phrase ([also known as memnonic phrase or seed phrase](https://en.wikipedia.org/wiki/Cryptocurrency\_wallet)). It is required to restore access to the generated identity and the wallet.

![](<../../.gitbook/assets/image (18).png>) ![](<../../.gitbook/assets/image (23).png>) ![](<../../.gitbook/assets/image (11).png>) ![](<../../.gitbook/assets/image (13).png>) ![](<../../.gitbook/assets/image (15).png>)

## TestNet vs. MainNet

Identities in Sync2 are linked to a Main- or Test Network. To use the same identity on the Test Network it needs to be added again.

Identities can be imported or new ones generated

![](<../../.gitbook/assets/image (19).png>) ![](<../../.gitbook/assets/image (17).png>) ![](<../../.gitbook/assets/image (7).png>) ![](<../../.gitbook/assets/image (12).png>) ![](<../../.gitbook/assets/image (8).png>)

## Switch Identities

Wallets and identities can be switched with the left menu. If the wallet is linked to the Test Network, it will show an information (red, top right).

![](<../../.gitbook/assets/image (10).png>) ![](<../../.gitbook/assets/image (9).png>)

## Done

You can now interact with dApps. Confirmation dialogs to identify or to sign transactions will open in Sync2.

![](<../../.gitbook/assets/image (20).png>)
